Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core.model
Class InvalidSiteTypeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.update.core.model.InvalidSiteTypeException

All Implemented Interfaces:
  Serializable

public class InvalidSiteTypeException
extends Exception

Exception thrown when the type of the site discovered in the site manifest does not correspond to the type expected by the concrete site factory.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `SiteModelFactory.canParseSiteType(String)`, Serialized Form

Constructor Summary
`InvalidSiteTypeException(String newType)` Construct the exception indicating the detected site type

Method Summary
`String` | `getNewType()` Returns the site type detected in the parsed site manifest

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidSiteTypeException

    public InvalidSiteTypeException(String newType)

  Construct the exception indicating the detected site type

Since:
  2.0

Method Detail

### getNewType

    public String getNewType()

  Returns the site type detected in the parsed site manifest

  Returns:
    site type
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.